From b366fecfdc0da3599ad1ac81fc60686c43d962d9 Mon Sep 17 00:00:00 2001
From: John M. Harris, Jr <johnmh@openblox.org>
Date: Mar 07 2017 14:38:16 +0000
Subject: [PATCH 1/2] Fix indentation of security-lab.menu


---

diff --git a/security-menu/security-lab.menu b/security-menu/security-lab.menu
index fb2334c..2ecb7f7 100644
--- a/security-menu/security-lab.menu
+++ b/security-menu/security-lab.menu
@@ -5,112 +5,110 @@
 
 	<Menu>
 		<Name>Security Lab</Name>
-    	<Directory>Security.directory</Directory>
-    	<Include>
-    		<And>
-      			<Category>X-SecurityLab</Category>
-	      		<Not><Category>X-CodeAnalysis</Category></Not>
-	      		<Not><Category>X-Forensics</Category></Not>
-	      		<Not><Category>X-IntrusionDetection</Category></Not>
-	      		<Not><Category>X-NetworkStatistics</Category></Not>
-	      		<Not><Category>X-PasswordTools</Category></Not>
-	      		<Not><Category>X-Reconnaissance</Category></Not>
-	      		<Not><Category>X-VoIP</Category></Not>
-	      		<Not><Category>X-WebApplicationTesting</Category></Not>
-	      		<Not><Category>X-Wireless</Category></Not>
-	      	</And>
-      	</Include>
+	<Directory>Security.directory</Directory>
+	<Include>
+		<And>
+			<Category>X-SecurityLab</Category>
+			<Not><Category>X-CodeAnalysis</Category></Not>
+			<Not><Category>X-Forensics</Category></Not>
+			<Not><Category>X-IntrusionDetection</Category></Not>
+			<Not><Category>X-NetworkStatistics</Category></Not>
+			<Not><Category>X-PasswordTools</Category></Not>
+			<Not><Category>X-Reconnaissance</Category></Not>
+			<Not><Category>X-VoIP</Category></Not>
+			<Not><Category>X-WebApplicationTesting</Category></Not>
+			<Not><Category>X-Wireless</Category></Not>
+		</And>
+	</Include>
 
 		<Menu>
 			<Name>Reconnaissance</Name>
-	    	<Directory>security-Reconnaissance.directory</Directory>
-	    	<Include>
+		<Directory>security-Reconnaissance.directory</Directory>
+		<Include>
 				<And>
-		      		<Category>X-Reconnaissance</Category>
+				<Category>X-Reconnaissance</Category>
 				</And>
-	      	</Include>
+		</Include>
 		</Menu>
 
 		<Menu>
 			<Name>Forensics</Name>
-	    	<Directory>security-Forensics.directory</Directory>
-	    	<Include>
+		<Directory>security-Forensics.directory</Directory>
+		<Include>
 				<And>
 					<Category>X-Forensics</Category>
 				</And>
-	      	</Include>
+		</Include>
 		</Menu>
 
 		<Menu>
 			<Name>Wireless</Name>
-	    	<Directory>security-Wireless.directory</Directory>
-	    	<Include>
+		<Directory>security-Wireless.directory</Directory>
+		<Include>
 				<And>
-		      		<Category>X-Wireless</Category>
+				<Category>X-Wireless</Category>
 				</And>
-	      	</Include>
+		</Include>
 		</Menu>
 
 		<Menu>
 			<Name>Code Analysis</Name>
-	    	<Directory>security-CodeAnalysis.directory</Directory>
-	    	<Include>
+		<Directory>security-CodeAnalysis.directory</Directory>
+		<Include>
 				<And>
-		      		<Category>X-CodeAnalysis</Category>
+				<Category>X-CodeAnalysis</Category>
 				</And>
-	      	</Include>
+		</Include>
 		</Menu>
 
 		<Menu>
 			<Name>Network Statistics</Name>
 			<Directory>security-NetworkStatistics.directory</Directory>
-	    	<Include>
+		<Include>
 				<And>
-		      		<Category>X-NetworkStatistics</Category>
+				<Category>X-NetworkStatistics</Category>
 				</And>
-	      	</Include>
+		</Include>
 		</Menu>
 	
 		<Menu>
 			<Name>Intrusion Detection</Name>
 			<Directory>security-IntrusionDetection.directory</Directory>
-	    	<Include>
+		<Include>
 				<And>
-		      		<Category>X-IntrusionDetection</Category>
+				<Category>X-IntrusionDetection</Category>
 				</And>
-	      	</Include>
+		</Include>
 		</Menu>
 
 		<Menu>
 			<Name>Web Application Testing</Name>
 			<Directory>security-WebApplicationTesting.directory</Directory>
-	    	<Include>
+		<Include>
 				<And>
-		      		<Category>X-WebApplicationTesting</Category>
+				<Category>X-WebApplicationTesting</Category>
 				</And>
-	      	</Include>
+		</Include>
 		</Menu>
 
 		<Menu>
 			<Name>Password Tools</Name>
-	    	<Directory>security-PasswordTools.directory</Directory>
-	    	<Include>
+		<Directory>security-PasswordTools.directory</Directory>
+		<Include>
 				<And>
-		    		<Category>X-PasswordTools</Category>
+				<Category>X-PasswordTools</Category>
 				</And>
-	      	</Include>
+		</Include>
 		</Menu>
 
 		<Menu>
 			<Name>VoIP</Name>
-	    	<Directory>security-VoIP.directory</Directory>
-	    	<Include>
+		<Directory>security-VoIP.directory</Directory>
+		<Include>
 				<And>
-		    		<Category>X-VoIP</Category>
+				<Category>X-VoIP</Category>
 				</And>
-	      	</Include>
+		</Include>
 		</Menu>
-
 	</Menu>
-
 </Menu>

From 7742a50846ceab1c5fafc4b536ae40a6f3fc2e2d Mon Sep 17 00:00:00 2001
From: John M. Harris, Jr <johnmh@openblox.org>
Date: Mar 07 2017 14:38:46 +0000
Subject: [PATCH 2/2] Begin updating desktop files to use the default terminal


---

diff --git a/security-menu/security-ArpON.desktop b/security-menu/security-ArpON.desktop
index 5af2817..8217b57 100644
--- a/security-menu/security-ArpON.desktop
+++ b/security-menu/security-ArpON.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=arpon
-Exec=xfce4-terminal -e "su -c 'arpon -h; bash'"
+Exec=su -c 'arpon -h; bash'
+Terminal=true
 TryExec=ArpON
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Reconnaissance;
diff --git a/security-menu/security-aircrack-ng.desktop b/security-menu/security-aircrack-ng.desktop
index 21c86ef..5b6244d 100644
--- a/security-menu/security-aircrack-ng.desktop
+++ b/security-menu/security-aircrack-ng.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=aircrack-ng
-Exec=xfce4-terminal -e "su -c 'aircrack-ng; bash'"
+Exec=su -c 'aircrack-ng; bash'
+Terminak=true
 TryExec=aircrack-ng
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Wireless;
diff --git a/security-menu/security-airsnort.desktop b/security-menu/security-airsnort.desktop
index 3e7af5a..f35d849 100644
--- a/security-menu/security-airsnort.desktop
+++ b/security-menu/security-airsnort.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=airsnort
-Exec=xfce4-terminal -e "su -c 'airsnort; bash'"
+Exec=su -c 'airsnort; bash'
+Terminal=true
 TryExec=airsnort
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Wireless;
diff --git a/security-menu/security-arp-scan.desktop b/security-menu/security-arp-scan.desktop
index 5bb31fe..a19aadd 100644
--- a/security-menu/security-arp-scan.desktop
+++ b/security-menu/security-arp-scan.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=An ARP scanner
-Exec=xfce4-terminal -e "su -c 'arp-scan -h; bash'"
+Exec=su -c 'arp-scan -h; bash'
+Terminal=true
 TryExec=arp-scan
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Reconnaissance;
diff --git a/security-menu/security-binwalk.desktop b/security-menu/security-binwalk.desktop
index d9e1647..f94f832 100644
--- a/security-menu/security-binwalk.desktop
+++ b/security-menu/security-binwalk.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=binwalk
-Exec=xfce4-terminal -e "su -c 'binwalk -h; bash'"
+Exec=su -c 'binwalk -h; bash'
+Terminal=true
 TryExec=binwalk
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Forensics;
diff --git a/security-menu/security-bro.desktop b/security-menu/security-bro.desktop
index 862dbaf..a691944 100644
--- a/security-menu/security-bro.desktop
+++ b/security-menu/security-bro.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=Network analysis framework
-Exec=xfce4-terminal -e "su -c 'bro -h; bash'"
+Exec=su -c 'bro -h; bash'
+Terminal=true
 TryExec=bro
 Type=Application
+Icon=true
 Categories=System;Security;X-SecurityLab;X-Reconnaissance;
diff --git a/security-menu/security-chkrootkit.desktop b/security-menu/security-chkrootkit.desktop
index 0daef98..5968c83 100644
--- a/security-menu/security-chkrootkit.desktop
+++ b/security-menu/security-chkrootkit.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=chkrootkit
-Exec=xfce4-terminal -e "su -c 'chkrootkit; bash'"
+Exec=su -c 'chkrootkit; bash'
+Terminal=true
 TryExec=chkrootkit
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-IntrusionDetection;
diff --git a/security-menu/security-cmospwd.desktop b/security-menu/security-cmospwd.desktop
index 865418c..ede381c 100644
--- a/security-menu/security-cmospwd.desktop
+++ b/security-menu/security-cmospwd.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=BIOS tool
-Exec=xfce4-terminal -e "su -c 'cmospwd -h; bash'"
+Exec=su -c 'cmospwd -h; bash'
+Terminal=true
 TryExec=cmospwd
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Forensics;
diff --git a/security-menu/security-ddrescue.desktop b/security-menu/security-ddrescue.desktop
index efd287f..ced82dd 100644
--- a/security-menu/security-ddrescue.desktop
+++ b/security-menu/security-ddrescue.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=ddrescue
-Exec=xfce4-terminal -e "su -c 'ddrescue -h; bash'"
+Exec=su -c 'ddrescue -h; bash'
+Terminal=true
 TryExec=ddrescue
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Forensics;
diff --git a/security-menu/security-dhcping.desktop b/security-menu/security-dhcping.desktop
index f61e486..202f423 100644
--- a/security-menu/security-dhcping.desktop
+++ b/security-menu/security-dhcping.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=dhcping
-Exec=xfce4-terminal -e "su -c 'dhcping; bash'"
+Exec=su -c 'dhcping; bash'
+Terminal=true
 TryExec=dhcping
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Reconnanssance;
diff --git a/security-menu/security-etherape.desktop b/security-menu/security-etherape.desktop
index 51665d7..eef2fba 100644
--- a/security-menu/security-etherape.desktop
+++ b/security-menu/security-etherape.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=etherape
-Exec=xfce4-terminal -e "su -c 'etherape; bash'"
+Exec=su -c 'etherape; bash'
+Terminal=true
 TryExec=etherape
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Reconnaissance;
diff --git a/security-menu/security-foremost.desktop b/security-menu/security-foremost.desktop
index 9a67ce9..4c84e47 100644
--- a/security-menu/security-foremost.desktop
+++ b/security-menu/security-foremost.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=Foremost Filecarver
-Exec=xfce4-terminal -e "su -c 'foremost -h; bash'"
+Exec=su -c 'foremost -h; bash'
+Terminal=true
 TryExec=foremost
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Forensics;
diff --git a/security-menu/security-httping.desktop b/security-menu/security-httping.desktop
index 49364c7..201e5ee 100644
--- a/security-menu/security-httping.desktop
+++ b/security-menu/security-httping.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=httping
-Exec=xfce4-terminal -e "su -c 'httping --help; bash'"
+Exec=su -c 'httping --help; bash'
+Terminal=true
 TryExec=httping
 Type=Application
+Icon=true
 Categories=System;Security;X-SecurityLab;X-WebApplicationTesting;
diff --git a/security-menu/security-httrack.desktop b/security-menu/security-httrack.desktop
index 031f415..68dcc2b 100644
--- a/security-menu/security-httrack.desktop
+++ b/security-menu/security-httrack.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=HTTrack Website Copier
-Exec=xfce4-terminal -e "su -c 'httrack -h; bash'"
+Exec=su -c 'httrack -h; bash'
+Terminal=true
 TryExec=httrack
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-Reconnaissance;
diff --git a/security-menu/security-hydra.desktop b/security-menu/security-hydra.desktop
index 6105496..9263869 100644
--- a/security-menu/security-hydra.desktop
+++ b/security-menu/security-hydra.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=Network log-on cracker
-Exec=xfce4-terminal -e "su -c 'hydra -h; bash'"
+Exec=su -c 'hydra -h; bash'
+Terminal=true
 TryExec=hydra
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-PasswordTools;
diff --git a/security-menu/security-iftop.desktop b/security-menu/security-iftop.desktop
index c4a7c08..b202676 100644
--- a/security-menu/security-iftop.desktop
+++ b/security-menu/security-iftop.desktop
@@ -1,6 +1,8 @@
 [Desktop Entry]
 Name=iftop
-Exec=xfce4-terminal -e "su -c 'iftop; bash'"
+Exec=su -c 'iftop; bash'
+Terminal=true
 TryExec=iftop
 Type=Application
+Icon=terminal
 Categories=System;Security;X-SecurityLab;X-NetworkStatistics;

